com.sun.jna.platform.win32.COM

## Class DispatchListener

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.COM.DispatchListener

-     @Structure.FieldOrder(value="vtbl")
      public class DispatchListener
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `DispatchVTable.ByReference` | `vtbl`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DispatchListener(IDispatchCallback callback)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DispatchVTable.ByReference` | `constructVTable()`
    `protected void` | `initVTable(IDispatchCallback callback)`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### vtbl

          public DispatchVTable.ByReference vtbl

  - ### Constructor Detail

    - #### DispatchListener

          public DispatchListener(IDispatchCallback callback)

  - ### Method Detail

    - #### constructVTable

          protected DispatchVTable.ByReference constructVTable()

    - #### initVTable

          protected void initVTable(IDispatchCallback callback)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.